Package org.mariadb.jdbc.util.log

## Class Loggers

- java.lang.Object
- - org.mariadb.jdbc.util.log.Loggers

    public final class Loggers
    extends Object

Loggers factory

### Field Summary

Fields
`static String` `CONSOLE_DEBUG_PROPERTY` set if console must log debug level
`static String` `FALLBACK_PROPERTY` defined if using JDK if sfl4j is not present.
`static String` `NO_LOGGER_PROPERTY` disable logging
`static String` `TEST_ENABLE_SLF4J` !! testing only !! permit to disable SLF4J implementation even if SLF4j is present

### Constructor Summary

Constructors
`Loggers()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Logger` `getLogger​(Class<?> cls)` Return default logger implementation
`static Logger` `getLogger​(String name)` Return default logger implementation
`static void` `init()` Initialize factory

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FALLBACK_PROPERTY

    public static final String FALLBACK_PROPERTY

defined if using JDK if sfl4j is not present. possible values: JDK/CONSOLE

See Also:
  Constant Field Values

#### CONSOLE_DEBUG_PROPERTY

    public static final String CONSOLE_DEBUG_PROPERTY

set if console must log debug level

See Also:
  Constant Field Values

#### TEST_ENABLE_SLF4J

    public static final String TEST_ENABLE_SLF4J

!! testing only !! permit to disable SLF4J implementation even if SLF4j is present

See Also:
  Constant Field Values

#### NO_LOGGER_PROPERTY

    public static final String NO_LOGGER_PROPERTY

disable logging

See Also:
  Constant Field Values

### Constructor Detail

#### Loggers

    public Loggers()

### Method Detail

#### getLogger

    public static Logger getLogger​(String name)

Return default logger implementation

Parameters:
  `name` - logger name
Returns:
  logger implementation

#### getLogger

    public static Logger getLogger​(Class<?> cls)

Return default logger implementation

Parameters:
  `cls` - class
Returns:
  logger implementation

#### init

    public static void init()

Initialize factory